# Get an offer

> One offer with its fills. A private offer answers only to requests from payday.direct pages or with no origin.


`GET https://payday.direct/api/otc/listing/{id}`

One offer with its fills. A private offer answers only to requests from payday.direct pages or with no origin.

## Parameters

- `id` (path, string, required): The listing address

## Responses

- 200: OK
- 403: A private offer asked for from another site
- 404: No such offer

```json
{
  "ok": true,
  "listing": {
    "id": "L1st1ngAddre55111111111111111111111111111111",
    "seller": "SellerWa11et1111111111111111111111111111111",
    "mint": "3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump",
    "coin": {
      "mint": "3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump",
      "name": "Example Coin",
      "symbol": "Example",
      "image": "https://payday.direct/img/example.png",
      "decimals": 6
    },
    "status": "partly",
    "mode": "market",
    "quote": "sol",
    "amount": 1000000,
    "remaining": 750000,
    "amountRaw": "1000000000000",
    "remainingRaw": "750000000000",
    "totalPrice": 0,
    "offsetBps": -150,
    "floor": null,
    "minFill": 100000,
    "minFillRaw": "100000000000",
    "private": false,
    "buyer": null,
    "feeBps": 500,
    "expiresAt": "2026-11-23T15:00:00.000Z",
    "createdAt": "2026-11-16T15:00:00.000Z",
    "fills": 1,
    "ask": 0.0000307,
    "askMcapUsd": 4298000,
    "vsMarket": -0.015,
    "market": {
      "price": 0.0000312,
      "mcapUsd": 4368000,
      "pair": "sol",
      "priceUsd": 0.0044,
      "liqUsd": 7240,
      "reliable": true,
      "venue": "curve",
      "solUsd": 140,
      "supply": 1000000000
    },
    "vaultOk": true,
    "vaultNote": null,
    "checkedAt": "2026-11-16T15:41:00.000Z",
    "listSig": "4Ab...z9",
    "closeSig": null
  },
  "fills": [
    {
      "sig": "5Xy...q1",
      "buyer": "BuyerWa11et11111111111111111111111111111111",
      "amount": 250000,
      "pay": 0.0081,
      "fee": 0.000405,
      "price": 0.0000324,
      "lockedPrice": 0.0000312,
      "at": "2026-11-16T15:40:02.000Z"
    }
  ]
}
```

## Example

```bash
curl "https://payday.direct/api/otc/listing/LAUNCH_ID"
```